/* Elvira Bluetooth FTP 
 * Copyright (C) 2007  Alberto Salas Bragado
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef WIDGETS_H_
#define WIDGETS_H_

//Fichero XML de Glade que contiene la interfaz
#define FGLADE "res/elvira.glade"

/** Columnas para los listados de ficheros */
enum { COLUMN1, COLUMN2, COLUMN3, COLUMN4, NUMCOLUMNS };
/** Columnas para los listados de dispositivos */
enum { DCOLUMN1, DCOLUMN2, DCOLUMN3, DNUMCOLUMNS };

/** Widgets necesarios de la GUI */
GtkTreeView *lstRemote, *lstLocal;
GtkEntry *txtRemote, *txtLocal, *txtNewDir;
GtkWindow *mainWindow, *connWindow, *progressDialog;
GtkDialog *errorDialog, *delDialog, *newDirDialog;
GtkTreeView *lstFavoritos, *lstBusqueda;
GtkToggleToolButton *btnConectar;
GtkLabel *txtError, *lblProgress, *lblFile;
GtkTextView *logWidget;

#endif /*WIDGETS_H_*/
